require 'sketchup.rb'
 
module BR_push_pull
 
  def BR_push_pull.main
 
    model = Sketchup.active_model
    selection = model.selection
    model.start_operation "Multiple Push/Pull"
    faces = []
 
    if model.selection.empty?
      entities = model.active_entities
    else
      entities = model.selection
    end
 
    entities.each do |e|
      faces.push e if e.is_a? Sketchup::Face
    end
 
    prompts = ['Push/Pull Distance']
    defaults = [0.to_l]
    results = UI.inputbox prompts, defaults, 'Distance to Push/Pull'
    distance = results[0]
 
    faces.each do |e|
      e.pushpull distance, true
    end
    model.commit_operation
 
  end # .main method
 
end # BR_push_pull module
 
#----------------menu------------------
if !file_loaded?(__FILE__)
  UI.menu("Plugins").add_item("Multiple Push-Pull") { BR_push_pull.main }
end
 
file_loaded(__FILE__)